Skip to main content
GET
/
payouts
/
{payout_id}
Get payout
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/payouts/{payout_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.sandbox.{id}.gr4vy.app/payouts/{payout_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.sandbox.{id}.gr4vy.app/payouts/{payout_id}")
.header("Authorization", "Bearer <token>")
.asString();
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.{id}.gr4vy.app/payouts/{payout_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests

url = "https://api.sandbox.{id}.gr4vy.app/payouts/{payout_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.{id}.gr4vy.app/payouts/{payout_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://api.sandbox.{id}.gr4vy.app/payouts/{payout_id} \
--header 'Authorization: Bearer <token>'
{
  "type": "payout",
  "id": "8d3fe99b-1422-42e6-bbb3-932d95ae5f79",
  "merchant_account_id": "default",
  "amount": 1299,
  "currency": "USD",
  "created_at": "2022-01-01T12:00:00+00:00",
  "updated_at": "2022-01-01T12:00:00+00:00",
  "payment_service": {
    "type": "payment-service",
    "id": "stripe-card-faaad066-30b4-4997-a438-242b0752d7e1",
    "display_name": "Stripe (Main)",
    "method": "card",
    "payment_service_definition_id": "stripe-card"
  },
  "payment_service_payout_id": "example",
  "category": "online_gambling",
  "status": "pending",
  "external_identifier": "user-789123",
  "merchant": {
    "type": "merchant",
    "name": "Merchant",
    "identification_number": "<string>",
    "phone_number": "+1234567890",
    "url": "<string>",
    "statement_descriptor": "<string>",
    "merchant_category_code": "<string>",
    "address": {
      "city": "London",
      "country": "GB",
      "postal_code": "789123",
      "state": "Greater London",
      "state_code": "GB-LND",
      "house_number_or_name": "10",
      "line1": "10 Oxford Street",
      "line2": "New Oxford Court",
      "organization": "Gr4vy"
    }
  },
  "buyer": {
    "type": "buyer",
    "id": "fe26475d-ec3e-4884-9553-f7356683f7f9",
    "billing_details": {
      "type": "billing-details",
      "first_name": "John",
      "last_name": "Lunn",
      "email_address": "john@example.com",
      "phone_number": "+1234567890",
      "address": {
        "city": "London",
        "country": "GB",
        "postal_code": "789123",
        "state": "Greater London",
        "state_code": "GB-LND",
        "house_number_or_name": "10",
        "line1": "10 Oxford Street",
        "line2": "New Oxford Court",
        "organization": "Gr4vy"
      },
      "tax_id": {
        "value": "12345678931",
        "kind": "gb.vat"
      }
    },
    "display_name": "John L.",
    "external_identifier": "user-789123",
    "account_number": "1234567"
  },
  "payment_method": {
    "type": "payment-method",
    "id": "77a76f7e-d2de-4bbc-ada9-d6a0015e6bd5",
    "approval_target": "any",
    "approval_url": "https://api.example.app.gr4vy.com/payment-methods/ffc88ec9-e1ee-45ba-993d-b5902c3b2a8c/approve",
    "country": "US",
    "currency": "USD",
    "details": {
      "bin": "412345",
      "card_type": "credit",
      "card_issuer_name": "Bank"
    },
    "expiration_date": "11/25",
    "external_identifier": "user-789123",
    "label": "1111",
    "last_replaced_at": "2023-07-26T19:23:00.000+00:00",
    "method": "card",
    "payment_account_reference": "V0010014629724763377327521982",
    "scheme": "visa",
    "fingerprint": "20eb353620155d2b5fc864cc46a73ea77cb92c725238650839da1813fa987a17"
  }
}
{
"type": "error",
"code": "unauthorized",
"status": 401,
"message": "No valid API authentication found",
"details": []
}
{
"type": "error",
"code": "not_found",
"status": 404,
"message": "The resource could not be found",
"details": []
}
This endpoint requires the payouts.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

payout_id
string
required

The ID for the payout to get the information for.

Example:

"fe26475d-ec3e-4884-9553-f7356683f7f9"

Response

Returns a payout.

type
enum<string>

The type of this resource. Is always payout.

Available options:
payout
Example:

"payout"

id
string<uuid>

The ID of a payout.

Example:

"8d3fe99b-1422-42e6-bbb3-932d95ae5f79"

merchant_account_id
string | null

The optional ID of the merchant account this payout should be assigned to.

Maximum string length: 22
Example:

"default"

amount
integer

The monetary amount for this payout, in the smallest currency unit for the given currency, for example 1299 cents to create an authorization for $12.99.

Example:

1299

currency
string

A supported ISO-4217 currency code.

Example:

"USD"

created_at
string<date-time>

The date and time when this payout was created.

Example:

"2022-01-01T12:00:00+00:00"

updated_at
string<date-time>

The date and time when this payout was created.

Example:

"2022-01-01T12:00:00+00:00"

payment_service
A payment service · object

The payment service used for this payout.

payment_service_payout_id
string | null

The ID of the payout in the underlying payment service.

Example:

"example"

category
enum<string>

The type of payout to process.

Available options:
online_gambling
Example:

"online_gambling"

status
enum<string>

The status of the payout.

Available options:
pending,
failed,
declined,
succeeded
Example:

"pending"

external_identifier
string | null

An external identifier that can be used to match the payout against your own records. This value needs to be unique for all buyers.

Required string length: 1 - 200
Example:

"user-789123"

merchant
Merchant · object | null

The merchant details associated to this payout.

buyer
Buyer (Snapshot) · object

The buyer used for this transaction.

payment_method
Payment method (Snapshot) · object

The payment method used for this payout.